Skip to main content
`Ctrl`+`K`

# pandas.Series.str.fullmatch

Series.str.fullmatch(pat, case=True, flags=0, na=<no_default>)

  Determine if each string entirely matches a regular expression.

  Parameters:
    pat str

      Character sequence or regular expression.

    case bool, default True

      If True, case sensitive.

    flags int, default 0 (no flags)

      Regex module flags, e.g. re.IGNORECASE.

    na scalar, optional

      Fill value for missing values. The default depends on dtype of the array. For object-dtype, `numpy.nan` is used. For the nullable `StringDtype`, `pandas.NA` is used. For the `"str"` dtype, `False` is used.

  Returns:
    Series/Index/array of boolean values

  See also

  `match`

    Similar, but also returns True when only a prefix of the string matches the regular expression.

  `extract`

    Extract matched groups.

  Examples

      >>> ser = pd.Series(["cat", "duck", "dove"])
      >>> ser.str.fullmatch(r'd.+')
      0   False
      1    True
      2    True
      dtype: bool